Page MenuHomePhabricator

Execute Loading Overlay user testing plan
Closed, ResolvedPublic

Description

Ask

Execute the "Testing Plan" outlined in the table below.

Testing Plan

We will solicit, process and prioritize qualitative feedback through the following channels

AudienceFeedback channelStartedEndedChannel ownerTranslatorFeedback outputPrioritization
Editing TeamGoogle Chat@iamjesskleinProgram + Eng. ManagerPhabricator@iamjessklein @marcella @ppelberg
WMF DesignSlack@iamjesskleinProgram + Eng. ManagerPhabricator@iamjessklein @marcella @ppelberg
wikisMediaWiki project page*@ppelbergProgram + Eng. ManagerPhabricator@iamjessklein @marcella @ppelberg

Definitions

  • Feedback : bugs, qualitative feedback
  • Audience : who we are seeking feedback from
  • Feedback channel: the communication channel through which we will be seeking feedback
  • Channel owner: the person on the Editing Team who will facilitate the given "Feedback channel" and relate the feedback raised to Program Manager and Engineering
  • Translator: the person on the Editing Team who will translate the accumulated feedback (i.e. bugs, qualitative feedback) into Phabricator tickets
  • Feedback output: where and how the feedback we receive will be incorporated into the Editing Team's workflow
  • Prioritization: who on the Editing Team will assign priority to Loading Overlay feedback

Notes

*MediaWiki Project Page: this will be created by @ppelberg; once complete, it will be linked in the table above.

Event Timeline

ppelberg created this task.Feb 27 2019, 8:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2019, 8:55 PM
ppelberg updated the task description. (Show Details)Feb 27 2019, 9:10 PM
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)Feb 27 2019, 9:18 PM
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)Feb 28 2019, 12:29 AM
nshahquinn-wmf closed this task as Resolved.Jul 11 2019, 2:53 PM
nshahquinn-wmf added a subscriber: nshahquinn-wmf.

Now that the loading overlay has been out for four months, I think it's safe to say this is done. 😁